MMEvents.createProcesses(event => {
  event
    .create('mm:sand_sieve_recipe')
    .structureId('mm:sieve_structure')
    .ticks(4)
    .input({
      type: 'mm:input/consume',
      ingredient: {
        type: 'mm:item',
        item: 'minecraft:sand',
        count: 1
      }
    })
    .input({
      type: 'mm:input/consume',
      ingredient: {
        type: 'mm:energy',
        amount: 10000
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.80,
      ingredient: {
        type: 'mm:item',
        item: 'minecraft:lapis_lazuli',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.30,
      ingredient: {
        type: 'mm:item',
        item: 'mekanism:fluorite_gem',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.30,
      ingredient: {
        type: 'mm:item',
        item: 'thermal:niter',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.30,
      ingredient: {
        type: 'mm:item',
        item: 'thermal:sulfur',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.30,
      ingredient: {
        type: 'mm:item',
        item: 'thermal:apatite',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.20,
      ingredient: {
        type: 'mm:item',
        item: 'thermal:sapphire',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.20,
      ingredient: {
        type: 'mm:item',
        item: 'thermal:ruby',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.30,
      ingredient: {
        type: 'mm:item',
        item: 'thermal:cinnabar',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.35,
      ingredient: {
        type: 'mm:item',
        item: 'minecraft:raw_gold',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.60,
      ingredient: {
        type: 'mm:item',
        item: 'exdeorum:gold_ore_chunk',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.60,
      ingredient: {
        type: 'mm:item',
        item: 'ae2:certus_quartz_crystal',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.40,
      ingredient: {
        type: 'mm:item',
        item: 'ae2:charged_certus_quartz_crystal',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.50,
      ingredient: {
        type: 'mm:item',
        item: 'minecraft:prismarine_shard',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.40,
      ingredient: {
        type: 'mm:item',
        item: 'minecraft:prismarine_crystals',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.40,
      ingredient: {
        type: 'mm:item',
        item: 'mysticalagriculture:inferium_essence',
        count: 1
      }
    })
        .output({
      type: 'mm:output/simple',
      chance: 0.40,
      ingredient: {
        type: 'mm:item',
        item: 'allthemodium:allthemodium_nugget',
        count: 1
      }
    })
})
